Public Class frmClipboardWatch
    Private WithEvents _Watcher As ClipboardWatcher = ClipboardWatcher.Singleton

    Private Sub frmClipboardWatch_Disposed(ByVal sender As Object, _
        ByVal e As EventArgs) Handles Me.Disposed

        _Watcher.Dispose()
    End Sub

    Private Sub _Watcher_Changed(ByVal sender As Object, _
        ByVal e As EventArgs) Handles _Watcher.Changed

        Dim Data As IDataObject = Clipboard.GetDataObject
        With Me.TextBox1
            .AppendText(String.Concat("Available Formats:", CrLf))
            .AppendText(String.Join(CrLf, Data.GetFormats))
            .AppendText(String.Concat(CrLf, CrLf, "Text = '", _
                Clipboard.GetText, "'", CrLf, CrLf))
        End With
    End Sub
End Class